Description

We should be able to create ininit editors inside ide. Now we have got only two.

    AssistEditor     editor;

    CodeEditor       editor2;

Should be something like that

Vector<AssistEditor> editors;

Moreover there are several problems with splinting. Font size probably should be per ide not per editor. Navigator shouldn't be moved

between editors - this behaviour is upsetting.

History

#1 - 03/27/2016 02:33 PM - Zbigniew Rebacz

- Assignee deleted (Miroslav Fidler)

#2 - 03/30/2016 12:24 PM - Miroslav Fidler

I disagree with this. More than 2 panes are inpractical anyway.

My plan is to have this as it is, but perhaps allow "launching" windows.

As for font, font is per ide, but you can define different font to be used when vertical split is active.

#3 - 03/30/2016 07:59 PM - Zbigniew Rebacz

Well, the problem with font is that when you split vertically the font of both editors is smaller than normal. For me it should stay the same.

Moreover debug bar should be active on inactive bar. This interface flashing when switching is not user friendly.

#4 - 04/19/2016 01:40 PM - Miroslav Fidler

You can set vertical split font to be the same as normal in Settings...

#5 - 04/19/2016 01:42 PM - Miroslav Fidler
(agree about debug bar... :)

#6 - 04/19/2016 02:21 PM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee set to Zbigniew Rebacz

Visuals fixed. (Not ideal: It does not show breakpoints in inactive editor, but I can live with that...)

#7 - 04/19/2016 08:45 PM - Zbigniew Rebacz

- Status changed from Ready for QA to Approved
